#!/bin/bash -x
#
# cnr - click n run ;)
#
# Take ones parameter, the filepath to the click package
#
# e.g. ./cnr.sh ~/Downloads/com.ubuntu.developer.dgalg.wordchain-0.3.click

if [ "$1" == "" ]; then
    echo "Error: Must specify a click file as a parameter"
    echo "e.g. ./cnr.sh ~/Downloads/com.ubuntu.developer.dgalg.wordchain-0.3.click"
    exit 99
fi

FILE=$1
TARGETUSER="phablet"
TARGET="/home/$TARGETUSER"
FILENAME=`basename $FILE`
DESKTOPFILE=`echo $FILENAME | tr '-' '_'`
TMPDIR=$(mktemp -d)

#echo $FILENAME
#echo $DESKTOPFILE
#echo ${DESKTOPFILE/%click/desktop}

echo `date` Pushing $FILE to $TARGET
adb push $FILE $TARGET

echo `date` Installing $FILENAME

# don't use click install - well, do, because pkcon aint finished
adb shell click install --user=$TARGETUSER --force-missing-framework $TARGET/$FILENAME

# When pkcon works, we use this
#adb shell su - $TARGETUSER -c pkcon -y -v install-local $TARGET/$FILENAME


adb shell grep ^Exec /home/$TARGETUSER/.local/share/applications/
echo adb shell pkill unity


#wget https://public.apps.ubuntu.com/download/com.ubuntu.developer.dgalg/wordchain/com.ubuntu.developer.dgalg.wordchain-0.3.click?noauth=1
#adb push com.ubuntu.developer.dgalg.wordchain-0.3.click /home/phablet
#adb shell

#click install --user=phablet --force-missing-framework /home/phablet/com.ubuntu.developer.dgalg.wordchain-0.3.click
#su - phablet
#cd /opt/click.ubuntu.com/com.ubuntu.developer.dgalg.wordchain/current
#su -l phablet
#aa-exec -p com.ubuntu.developer.dgalg.wordchain_wordchain_0.3 -- qmlscene $@ wordchain.qml
#Exec=aa-exec -p com.ubuntu.developer.dgalg.wordchain_wordchain_0.3 -- qmlscene $@ wordchain.qml

