#!/bin/bash

# Run this to log battery usage
# via cron:-
# * * * * * /home/phablet/powerstat.sh >> /home/phablet/battery.csv

P="/sys/class/power_supply/battery"
D=$(date -u +%d/%m/%Y)
T=$(date -u +%H:%M:%S)
DEV=$(getprop ro.cm.device)

if [ "$DEV" == "grouper" ]; then
echo $D, \
     $T, \
     $(cat $P/status), \
     $(cat $P/health), \
     $(cat $P/capacity), \
     $(cat $P/temp), \
     $(cat $P/charge_full_design), \
     $(cat $P/charge_now), \
     $(cat $P/voltage_now)
fi

if [ "$DEV" == "mako" ]; then
echo $D, \
     $T, \
     $(cat $P/status), \
     $(cat $P/health), \
     $(cat $P/capacity), \
     $(cat $P/temp), \
     $(cat $P/voltage_max_design), \
     $(cat $P/voltage_min_design), \
     $(cat $P/voltage_now)
fi
