#!/bin/bash
# Script to take a screenshot
#
# Script does the following:-
# * take screenshot
# * pull image down into ~/Pictures
#
# Assumptions:-
# * Device already running some build of Ubuntu Touch and is connected via USB
#
# (c) 2013 Canonical - Alan Pope alan.pope@canonical.com

UBUNTU_ROOT="/data/ubuntu"
FILENAME=$HOME"/Pictures/device-`date +%Y-%m-%d-%H%M%S`.png"
SVR="popey.com"
SVRPATH="~/public_html"
PROTO="http://"
PUBPATH="~alan"
WEBADDR=$PROTO$SVR/$PUBPATH/`basename $FILENAME`

adb shell /system/bin/screencap /data/screenshot.png
adb pull /data/screenshot.png $FILENAME

echo $FILENAME
#xdg-open $FILENAME 2>&1 > /dev/null & 
scp $FILENAME $SVR:$SVRPATH
echo $WEBADDR
#xdg-open $WEBADDR
