#!/bin/bash

# "https://launchpad.net/ubuntu-touch-preview

chromium-browser --start-maximised --new-window "https://docs.google.com/a/canonical.com/spreadsheet/ccc?key=0ArLs7UPtu-hJdDZDNWliMmV1YUJ3Zk1pQlpDdGp4VFE#gid=0"

# Core apps bugs:-

chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-calculator-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-calendar-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-weather-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-clock-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-emailclient-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-rssreader-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/music-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/sudoku-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-terminal-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/dropping-letters/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/stock-ticker-mobile-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-docviewer-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-filemanager-app/+bugs?orderby=-id&start=0"

read -p "Press any key..."

# code reviews

chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-calculator-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-calendar-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-weather-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-clock-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-emailclient-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-rssreader-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/music-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/sudoku-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-terminal-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/dropping-letters/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/stock-ticker-mobile-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-docviewer-app/+activereviews"
chromium-browser --start-maximised --new-window "https://code.launchpad.net/ubuntu-filemanager-app/+activereviews"

read -p "Press any key..."

# Platform bugs

chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-touch-preview/+bugs?field.searchtext=&search=Search&field.status%3Alist=NEW&field.status%3Alist=CONFIRMED&field.status%3Alist=INCOMPLETE_WITH_RESPONSE&field.status%3Alist=INCOMPLETE_WITHOUT_RESPONSE&field.importance%3Alist=UNDECIDED&assignee_option=any&field.assignee=&field.bug_reporter=&field.bug_commenter=&field.subscriber=&field.structural_subscriber=&field.tag=&field.tags_combinator=ANY&field.has_cve.used=&field.omit_dupes.used=&field.omit_dupes=on&field.affects_me.used=&field.has_patch.used=&field.has_branches.used=&field.has_branches=on&field.has_no_branches.used=&field.has_no_branches=on&field.has_blueprints.used=&field.has_blueprints=on&field.has_no_blueprints.used=&field.has_no_blueprints=on&orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/platform-api/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/unity/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/barrydale/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/manhattan/+bugs?field.searchtext=&search=Search&field.status%3Alist=NEW&field.status%3Alist=INCOMPLETE_WITH_RESPONSE&field.status%3Alist=INCOMPLETE_WITHOUT_RESPONSE&field.status%3Alist=CONFIRMED&field.status%3Alist=TRIAGED&field.status%3Alist=INPROGRESS&field.status%3Alist=FIXCOMMITTED&field.assignee=&field.bug_reporter=&field.omit_dupes=on&field.has_patch=&field.has_no_package=&orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/marumbi/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu/+source/indicators-client/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/messaging-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/powerd/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/gsettings-qt/+bugs?orderby=-id&start=0"


read -p "Press any key..."

# SDK bugs

chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/ubuntu-ui-toolkit/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/qtubuntu/+bugs?orderby=-id&start=0"

read -p "Press any key..."

# system apps

chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/camera-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/gallery-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/phone-app/+bugs?field.searchtext=&search=Search&field.status%3Alist=NEW&field.status%3Alist=INCOMPLETE_WITH_RESPONSE&field.status%3Alist=INCOMPLETE_WITHOUT_RESPONSE&field.status%3Alist=CONFIRMED&field.status%3Alist=TRIAGED&field.status%3Alist=INPROGRESS&field.status%3Alist=FIXCOMMITTED&field.assignee=&field.bug_reporter=&field.omit_dupes=on&field.has_patch=&field.has_no_package=&orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/notes-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/webbrowser-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/share-app/+bugs?orderby=-id&start=0"
chromium-browser --start-maximised --new-window "https://bugs.launchpad.net/mediaplayer-app/+bugs?orderby=-id&start=0"

